diff -urN ../Nagios/base/config.c ./base/config.c
--- ../Nagios/base/config.c	Fri Oct 22 18:51:26 2004
+++ ./base/config.c	Tue Oct 26 16:18:59 2004
@@ -1267,7 +1267,7 @@
 				break;
 			        }
 #ifdef DEBUG1
-			printf("\t\tlow_service_flap_threshold set to %lf\n",low_service_flap_threshold);
+			printf("\t\tlow_service_flap_threshold set to %f\n",low_service_flap_threshold);
 #endif
 		        }
 		else if(!strcmp(variable,"high_service_flap_threshold")){
@@ -1278,7 +1278,7 @@
 				break;
 			        }
 #ifdef DEBUG1
-			printf("\t\thigh_service_flap_threshold set to %lf\n",high_service_flap_threshold);
+			printf("\t\thigh_service_flap_threshold set to %f\n",high_service_flap_threshold);
 #endif
 		        }
 		else if(!strcmp(variable,"low_host_flap_threshold")){
@@ -1289,7 +1289,7 @@
 				break;
 			        }
 #ifdef DEBUG1
-			printf("\t\tlow_host_flap_threshold set to %lf\n",low_host_flap_threshold);
+			printf("\t\tlow_host_flap_threshold set to %f\n",low_host_flap_threshold);
 #endif
 		        }
 		else if(!strcmp(variable,"high_host_flap_threshold")){
@@ -1300,7 +1300,7 @@
 				break;
 			        }
 #ifdef DEBUG1
-			printf("\t\thigh_host_flap_threshold set to %lf\n",high_host_flap_threshold);
+			printf("\t\thigh_host_flap_threshold set to %f\n",high_host_flap_threshold);
 #endif
 		        }
 		else if(!strcmp(variable,"date_format")){
diff -urN ../Nagios/base/utils.c ./base/utils.c
--- ../Nagios/base/utils.c	Tue Oct 26 15:13:28 2004
+++ ./base/utils.c	Tue Oct 26 16:24:08 2004
@@ -310,7 +310,6 @@
 	int arg_index=0;
 	int user_index=0;
 	int address_index=0;
-	char *encoded_macro=NULL;
 	char *selected_macro=NULL;
 	int clean_macro=FALSE;
 
@@ -821,7 +820,7 @@
 		free(macro_x[MACRO_SERVICEEXECUTIONTIME]);
 	macro_x[MACRO_SERVICEEXECUTIONTIME]=(char *)malloc(MAX_EXECUTIONTIME_LENGTH);
 	if(macro_x[MACRO_SERVICEEXECUTIONTIME]!=NULL){
-		snprintf(macro_x[MACRO_SERVICEEXECUTIONTIME],MAX_EXECUTIONTIME_LENGTH,"%lf",svc->execution_time);
+		snprintf(macro_x[MACRO_SERVICEEXECUTIONTIME],MAX_EXECUTIONTIME_LENGTH,"%.3f",svc->execution_time);
 		macro_x[MACRO_SERVICEEXECUTIONTIME][MAX_EXECUTIONTIME_LENGTH-1]='\x0';
 	        }
 
@@ -830,7 +829,7 @@
 		free(macro_x[MACRO_SERVICELATENCY]);
 	macro_x[MACRO_SERVICELATENCY]=(char *)malloc(MAX_LATENCY_LENGTH);
 	if(macro_x[MACRO_SERVICELATENCY]!=NULL){
-		snprintf(macro_x[MACRO_SERVICELATENCY],MAX_LATENCY_LENGTH,"%lf",svc->latency);
+		snprintf(macro_x[MACRO_SERVICELATENCY],MAX_LATENCY_LENGTH,"%.3f",svc->latency);
 		macro_x[MACRO_SERVICELATENCY][MAX_LATENCY_LENGTH-1]='\x0';
 	        }
 
@@ -1148,7 +1147,7 @@
 		free(macro_x[MACRO_HOSTEXECUTIONTIME]);
 	macro_x[MACRO_HOSTEXECUTIONTIME]=(char *)malloc(MAX_EXECUTIONTIME_LENGTH);
 	if(macro_x[MACRO_HOSTEXECUTIONTIME]!=NULL){
-		snprintf(macro_x[MACRO_HOSTEXECUTIONTIME],MAX_EXECUTIONTIME_LENGTH,"%lf",hst->execution_time);
+		snprintf(macro_x[MACRO_HOSTEXECUTIONTIME],MAX_EXECUTIONTIME_LENGTH,"%.3f",hst->execution_time);
 		macro_x[MACRO_HOSTEXECUTIONTIME][MAX_EXECUTIONTIME_LENGTH-1]='\x0';
 	        }
 
@@ -1157,7 +1156,7 @@
 		free(macro_x[MACRO_HOSTLATENCY]);
 	macro_x[MACRO_HOSTLATENCY]=(char *)malloc(MAX_LATENCY_LENGTH);
 	if(macro_x[MACRO_HOSTLATENCY]!=NULL){
-		snprintf(macro_x[MACRO_HOSTLATENCY],MAX_LATENCY_LENGTH,"%lf",hst->latency);
+		snprintf(macro_x[MACRO_HOSTLATENCY],MAX_LATENCY_LENGTH,"%.3f",hst->latency);
 		macro_x[MACRO_HOSTLATENCY][MAX_LATENCY_LENGTH-1]='\x0';
 	        }
 
@@ -1613,7 +1612,7 @@
 	else if(!strcmp(macro,"HOSTEXECUTIONTIME")){
 		macro_ondemand=(char *)malloc(MAX_EXECUTIONTIME_LENGTH);
 		if(macro_ondemand!=NULL){
-			snprintf(macro_ondemand,MAX_EXECUTIONTIME_LENGTH,"%lf",hst->execution_time);
+			snprintf(macro_ondemand,MAX_EXECUTIONTIME_LENGTH,"%.3f",hst->execution_time);
 			macro_ondemand[MAX_EXECUTIONTIME_LENGTH-1]='\x0';
 		        }
 	        }
@@ -1622,7 +1621,7 @@
 	else if(!strcmp(macro,"HOSTLATENCY")){
 		macro_ondemand=(char *)malloc(MAX_LATENCY_LENGTH);
 		if(macro_ondemand!=NULL){
-			snprintf(macro_ondemand,MAX_LATENCY_LENGTH,"%lf",hst->latency);
+			snprintf(macro_ondemand,MAX_LATENCY_LENGTH,"%.3f",hst->latency);
 			macro_ondemand[MAX_LATENCY_LENGTH-1]='\x0';
 		        }
 	        }
@@ -1783,7 +1782,7 @@
 	else if(!strcmp(macro,"SERVICEEXECUTIONTIME")){
 		macro_ondemand=(char *)malloc(MAX_EXECUTIONTIME_LENGTH);
 		if(macro_ondemand!=NULL){
-			snprintf(macro_ondemand,MAX_EXECUTIONTIME_LENGTH,"%lf",svc->execution_time);
+			snprintf(macro_ondemand,MAX_EXECUTIONTIME_LENGTH,"%.3f",svc->execution_time);
 			macro_ondemand[MAX_EXECUTIONTIME_LENGTH-1]='\x0';
 		        }
 	        }
@@ -1792,7 +1791,7 @@
 	else if(!strcmp(macro,"SERVICELATENCY")){
 		macro_ondemand=(char *)malloc(MAX_LATENCY_LENGTH);
 		if(macro_ondemand!=NULL){
-			snprintf(macro_ondemand,MAX_LATENCY_LENGTH,"%lf",svc->latency);
+			snprintf(macro_ondemand,MAX_LATENCY_LENGTH,"%.3f",svc->latency);
 			macro_ondemand[MAX_LATENCY_LENGTH-1]='\x0';
 		        }
 	        }
